## Version Information

Version Information — Variables and functions to check the GTK+ version

## Functions

const gchar * | gtk_check_version ()
#define | GTK_CHECK_VERSION ()

## Types and Values

extern const guint | gtk_major_version
extern const guint | gtk_minor_version
extern const guint | gtk_micro_version
extern const guint | gtk_binary_age
extern const guint | gtk_interface_age
#define | GTK_MAJOR_VERSION
#define | GTK_MINOR_VERSION
#define | GTK_MICRO_VERSION
#define | GTK_BINARY_AGE
#define | GTK_INTERFACE_AGE

## Includes

    #include <gtk/gtk.h>

## Description

GTK+ provides version information, primarily useful in configure checks for builds that have a configure script. Applications will not typically use the features described here.

## Functions

### gtk_check_version ()

    const gchar *
    gtk_check_version (guint required_major,
                       guint required_minor,
                       guint required_micro);

Checks that the GTK+ library in use is compatible with the given version. Generally you would pass in the constants GTK_MAJOR_VERSION, GTK_MINOR_VERSION, GTK_MICRO_VERSION as the three arguments to this function; that produces a check that the library in use is compatible with the version of GTK+ the application or module was compiled against.

Compatibility is defined by two things: first the version of the running library is newer than the version `required_major.required_minor` .`required_micro` . Second the running library must be binary compatible with the version `required_major.required_minor` .`required_micro` (same major version.)

This function is primarily for GTK+ modules; the module can call this function to check that it wasn't loaded into an incompatible version of GTK+. However, such a a check isn't completely reliable, since the module may be linked against an old version of GTK+ and calling the old version of `gtk_check_version()`, but still get loaded into an application using a newer version of GTK+.

#### Parameters

required_major | the required major version. |
required_minor | the required minor version. |
required_micro | the required micro version. |

#### Returns

`NULL` if the GTK+ library is compatible with the given version, or a string describing the version mismatch. The returned string is owned by GTK+ and should not be modified or freed.

### GTK_CHECK_VERSION()

    #define             GTK_CHECK_VERSION(major,minor,micro)

Returns `TRUE` if the version of the GTK+ header files is the same as or newer than the passed-in version.

#### Parameters

major | major version (e.g. 1 for version 1.2.5) |
minor | minor version (e.g. 2 for version 1.2.5) |
micro | micro version (e.g. 5 for version 1.2.5) |

## Types and Values

### gtk_major_version

    extern const guint gtk_major_version;

The major version number of the GTK+ library. (e.g. in GTK+ version 1.2.5 this is 1.)

This variable is in the library, so represents the GTK+ library you have linked against. Contrast with the GTK_MAJOR_VERSION macro, which represents the major version of the GTK+ headers you have included.

### gtk_minor_version

    extern const guint gtk_minor_version;

The minor version number of the GTK+ library. (e.g. in GTK+ version 1.2.5 this is 2.)

This variable is in the library, so represents the GTK+ library you have linked against. Contrast with the GTK_MINOR_VERSION macro, which represents the minor version of the GTK+ headers you have included.

### gtk_micro_version

    extern const guint gtk_micro_version;

The micro version number of the GTK+ library. (e.g. in GTK+ version 1.2.5 this is 5.)

This variable is in the library, so represents the GTK+ library you have linked against. Contrast with the GTK_MICRO_VERSION macro, which represents the micro version of the GTK+ headers you have included.

### gtk_binary_age

    extern const guint gtk_binary_age;

This is the binary age passed to libtool. If libtool means nothing to you, don't worry about it. ;-)

### gtk_interface_age

    extern const guint gtk_interface_age;

This is the interface age passed to libtool. If libtool means nothing to you, don't worry about it. ;-)

### GTK_MAJOR_VERSION

    #define GTK_MAJOR_VERSION				(2)

Like gtk_major_version, but from the headers used at application compile time, rather than from the library linked against at application run time.

### GTK_MINOR_VERSION

    #define GTK_MINOR_VERSION				(24)

Like gtk_minor_version, but from the headers used at application compile time, rather than from the library linked against at application run time.

### GTK_MICRO_VERSION

    #define GTK_MICRO_VERSION				(24)

Like gtk_micro_version, but from the headers used at application compile time, rather than from the library linked against at application run time.

### GTK_BINARY_AGE

    #define GTK_BINARY_AGE					(2424)

Like gtk_binary_age, but from the headers used at application compile time, rather than from the library linked against at application run time.

### GTK_INTERFACE_AGE

    #define GTK_INTERFACE_AGE				(24)

Like gtk_interface_age, but from the headers used at application compile time, rather than from the library linked against at application run time.